AStar Class Reference

`#include <AStar.h>`

List of all members.

## Public Member Functions

| AStar (void)
| ~AStar (void)
bool | GeneratePath (int startx, int starty, int destx, int desty)
int | Step (void)
int | InitStep (int startx, int starty, int destx, int desty)
void | SetRows (int r)
void | Reset (void)
Node * | GetBestNode (void)

## Public Attributes

Func | udCost
Func | udValid
Func | udNotifyChild
Func | udNotifyList
void * | CBData
void * | NCData

## Detailed Description

Definition at line 5 of file AStar.h.

## Constructor & Destructor Documentation

AStar::AStar | ( | void |  | ) |

Definition at line 5 of file AStar.cpp.

AStar::~AStar | ( | void |  | ) |

Definition at line 16 of file AStar.cpp.

## Member Function Documentation

bool AStar::GeneratePath | ( | int | startx,
|  | int | starty,
|  | int | destx,
|  | int | desty
| ) |  |

Definition at line 20 of file AStar.cpp.

Node* AStar::GetBestNode | ( | void |  | ) | `[inline]`

Definition at line 24 of file AStar.h.

int AStar::InitStep | ( | int | startx,
|  | int | starty,
|  | int | destx,
|  | int | desty
| ) |  |

Definition at line 51 of file AStar.cpp.

void AStar::Reset | ( | void |  | ) | `[inline]`

Definition at line 22 of file AStar.h.

void AStar::SetRows | ( | int | r | ) | `[inline]`

Definition at line 21 of file AStar.h.

int AStar::Step | ( | void |  | ) |

Definition at line 38 of file AStar.cpp.

## Member Data Documentation

void* AStar::CBData

Definition at line 15 of file AStar.h.

void* AStar::NCData

Definition at line 16 of file AStar.h.

Func AStar::udCost

Definition at line 10 of file AStar.h.

Func AStar::udNotifyChild

Definition at line 12 of file AStar.h.

Func AStar::udNotifyList

Definition at line 13 of file AStar.h.

Func AStar::udValid

Definition at line 11 of file AStar.h.

The documentation for this class was generated from the following files:

- src/libUnuk/AStar.h
- src/libUnuk/AStar.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines